2.시스템 요구사항

Edit

2.1넥사크로플랫폼

2.1.1데스크탑

Web Runtime Environment

웹브라우저

최저사양

최고사양

비고 / 변경이력

Google Chrome

59.0.3071

최신버전

2020/03/24

최저사양 (10.0.648.127 → 59.0.3071)

Firefox

52.0

최신버전

2020/03/24

최저사양 (8.0.1 → 52.0)

Internet Explorer

8.0

11.0

2018/11/01

'문서 호환성 모드'는 지원 범위에서 제외

'표준모드'만 지원 범위에 포함

Edge

42.17134.1.0

최신버전

2020/03/24

최저사양 (25.10586.63.0 → 42.17134.1.0)

Opera

11.0

최신버전


Safari

4

최신버전

2018/11/01

'Safari for Windows'는 지원 범위에서 제외

Internet Explorer 브라우저는 표준모드만 지원합니다. 문서 호환성 모드를 사용하는 경우 정상적인 동작을 보장하지 않습니다.

Windows Safari 브라우저는 제조사의 업데이트 중단으로 지원하지 않습니다.

https://support.apple.com/en-us/HT204416

Nexacro Runtime Environment

항목

사양

Windows

macOS

비고 / 변경이력

CPU

최저

인텔 펜티엄 4 1.4GHz


2019/03/18

CPU, 메모리, HDD 권장 사양

CPU (인털 코어 i3-330M → 인텔 코어 i5 7세대)

메모리 (4GB → 8GB)

HDD (30GB → 128GB)

권장

인텔 코어 i5 7세대 이상


메모리

최저

1GB


권장

8GB


HDD(ROM)

최저

8GB


권장

128GB


플랫폼

Windows Vista Home Premium SP2 이상

Windows 10 V2004 이하

macOS 10.10.5 이상

macOS 10.14.4 이하

2018/10/16

Windows Server 지원 범위 표기 추가

2019/03/18

macOS 최고사양 (10.12 → 10.13)

Windows 최고사양 (Windows10 V1607 → V1803)

2019/11/05

Windows 최저사양 (Windows XP SP3 → Windows Vista Home Premium SP2)

Windows Server 최저사양 (Windows Server 2008 R2 → Windows Server 2008 R2 SP1)

macOS 최저사양 (10.7 → 10.10.5)

2020/03/24

Windows 최고사양 (V1803 → V2004)

macOS 최고사양 (10.13 → 10.14.4)

Windows Server 2008 R2 SP1 이상

Windows Server 2016 이하

macOS 프레임워크에서 32비트 앱 빌드를 지원하지 않습니다.

WindowsRT, WindowsPhone8, Windows XP Embedded 운영체제는 지원하지 않습니다.

17.1.0.100 이후 버전은 Windows XP 운영체제를 지원하지 않습니다.

2.1.2모바일

Web Runtime Environment

모바일 웹브라우저

최저사양

최고사양

비고 / 변경이력

Android 기본 브라우저

Android 5.0

Android 9

2019/03/18

최저사양 (4.0 → 4.4.2)

2019/11/05

최저사양 (4.4.2 → 5.0)

2020/03/24

최고사양 (8.0 → 9)

Android 구글 크롬 브라우저

59.0.3071

최신버전

2020/03/24

최저사양 (18.0.1025123 → 59.0.3071)

iOS 기본 브라우저

iOS 9

iOS 13.3

2019/03/18

최저사양 (8 → 9)

2019/12/19

최고사양 (11.4 → 13)

2020/03/24

최고사양 (13 → 13.3)

iPadOS 기본 브라우저


iPadOS 13.3

2019/12/19

iPadOS 항목 추가

모바일 웹브라우저는 아래 명시된 브라우저만 지원합니다.

• Android 기본 브라우저

• Android 구글 크롬 브라우저

• iOS/iPadOS 기본 브라우저

Nexacro Runtime Environment

항목

사양

Android

iOS / iPadOS

비고 / 변경이력

CPU

최저

ARM Cortex-A8 600 MHz

iOS 9 이상 지원 기기


권장

ARM Cortex-A8 1GHz이상


디스플레이

최저

HVGA


권장

HVGA이상


메모리

최저

3GB

2020/03/24

최저사양: Android (256M → 3GB)

권장

4GB 이상

2020/03/24

권장사양: Android (512M → 4GB 이상)

HDD(ROM)

최저

32GB

2020/03/24

최저사양: Android (4M → 32GB)

권장

64GB 이상

2020/03/24

권장사양: Android (10M → 64GB 이상)

플랫폼

Android 5.0 (API 21) 이상

Android 9.0 (API 28) 이하

iOS 9 이상

iOS/iPadOS 13.3 이하

2018/10/16

최고사양: Android (7.0 → 8.0), iOS (10.1 → 11.3)

2019/03/18

최저사양: Android (4.0 → 4.4.2), iOS (8 → 9)

2019/07/17

최저사양: 64비트 앱 실행 시 최저사양 추가

2019/11/05

최저사양 : Android (4.4.2 → 5.0)

2019/12/19

iPadOS 항목 추가

최고사양 : iOS (11.4 → 13)

2020/03/24

최고사양: Android (8.0 → 9.0), iOS (13 → 13.3)

iOS/iPadOS 프레임워크에서 32비트 앱 빌드를 지원하지 않습니다.

2.1.3국제 표준 준수 사항

XML

W3C XML Spec 1.0

https://www.w3.org/TR/xml/

JavaScript

Standard ECMA-262 5th Edition

http://www.ecma-international.org/publications/files/ECMA-ST-ARCH/ECMA-262 5th edition December 2009.pdf

DOM

W3C DOM API Level 3

https://www.w3.org/TR/DOM-Level-3-Core/

CSS

W3C CSS3 Spec 표준지원

JavaScript 표준 준수 사항에서 아래 표준은 지원하지 않습니다.

ECMA-262 6th edition (ECMAScript Harmony, ES6 Harmony)

2.2넥사크로 스튜디오

넥사크로 스튜디오를 설치하고 사용하는 데 필요한 시스템 요구 사양은 아래와 같습니다.

표 2-1시스템 권장사항

항목

최저사양

권장사양

비고 / 변경이력

CPU

인텔 팬티엄 4 1.4GHz

인텔 코어 i5 7세대 이상

2019/03/18

CPU, 메모리, HDD 권장 사양 변경

CPU (인털 코어 i3-330M → 인텔 코어 i5 7세대)

메모리 (4GB → 8GB)

HDD (30GB → 128GB)

디스플레이

-

가속장치를 갖고 있는

512MB 이상의 그래픽장치

메모리

1GB

8GB

디스크 공간

8GB

128GB

플랫폼

Windows 7 Home Premium (32bit) SP1 이상

Windows 10 V2004 이하

2018/10/16

Windows Server 지원 범위 표기 추가

2019/03/18

Windows 최고 사양 변경 (Windows10 V1607 → V1803)

2020/03/24

Windows 최고 사양 변경 (V1803 → V2004)

Windows Server 2012 R2 이상

Windows Server 2016 이하

2.3App Builder

2.3.1App Builder 설치

표 2-2지원 환경

항목

설명

비고/변경 이력

OS

Windows : Android App 빌드 가능


MacOS : Android | iOS | macOS App빌드가능


JDK

JDK 7 이상

2020/03/24

1.6 → JDK 7

WAS

Tomcat 7.X


2.3.2관리 콘솔 서비스

App Builder 관리 콘솔은 넥사크로플랫폼 17 앱입니다. 관리 콘솔을 사용하기 위한 시스템 요구사항은 넥사크로플랫폼 17과 같습니다.